---
- name: Docker Get info on docker-compose hosts 
  community.docker.docker_container_info:
    name: "{{ item.name }}"
  register: __docker_facts
  loop: "{{ docker_compose_services }}"
  when: docker_to_hosts and docker_compose_start
  
- name: Docker add docker host to /etc/hosts
  ansible.builtin.blockinfile:
    dest: /etc/hosts
    block: |
      {{ item.container.NetworkSettings.Networks[item.container.HostConfig.NetworkMode].IPAddress }} {{ item.item.name }}
    marker: "# {mark} ANSIBLE MANAGED BLOCK {{ item.item.name }}"
    state: present
  loop: "{{ __docker_facts.results }}"
  when: docker_to_hosts and item.container.State.Running 
